Bug 1123300 - Rubygem-staypuft: HA: all "check" options are missing the interval parameter. This can cause higher recovery times in case of failure.
Summary: Rubygem-staypuft: HA: all "check" options are missing the interval parameter....
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-foreman-installer
Version: 5.0 (RHEL 7)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ga
: Installer
Assignee: Crag Wolfe
QA Contact: Leonid Natapov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-25 09:18 UTC by Leonid Natapov
Modified: 2016-04-26 16:54 UTC (History)
8 users (show)

Fixed In Version: openstack-foreman-installer-2.0.19-1.el6ost
Doc Type: Bug Fix
Doc Text:
Previously, configuration parameter 'check' was missing the 'interval' option defined in HA Proxy which resulted in longer recovery times in case of failure. With this update, a new configuration option 'check inter 1s' is added to /etc/haproxy/haproxy.cfg file and as a result, service recover as expected after failures.
Clone Of:
Environment:
Last Closed: 2014-08-21 18:06:18 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1090 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform Enhancement Advisory 2014-08-22 15:28:08 UTC

Description Leonid Natapov 2014-07-25 09:18:52 UTC
Rubygem-staypuft: HA: all "check" options are missing the interval parameter. This can cause higher recovery times in case of failure.

The interval parameters set in haproxy.cfg.
example:

backend db-vms-galera
    option httpchk
    stick-table type ip size 2
    stick on dst
    timeout server 90s
    server rhos5-db1 192.168.16.58:3306 check inter 1s port 9200
    server rhos5-db2 192.168.16.59:3306 check inter 1s port 9200
    server rhos5-db3 192.168.16.60:3306 check inter 1s port 9200

The link to the etherpad:
http://rhel-ha.etherpad.corp.redhat.com/RHOS-RHEL-HA-how-to-mrgcloud-rhos5-on-rhel7-lb

Comment 1 Crag Wolfe 2014-08-04 20:43:33 UTC
Pull request: https://github.com/redhat-openstack/astapor/pull/337

Comment 3 Jason Guiditta 2014-08-12 15:36:18 UTC
Merged

Comment 6 Leonid Natapov 2014-08-18 10:28:42 UTC
openstack-foreman-installer-2.0.20-1.el6ost

"check inter 1s" appears as expected throughout /etc/haproxy/haproxy.cfg

example:
listen neutron-api
  bind 192.168.0.98:9696
  mode  tcp
  option  tcplog
  server mac047d7b627d5a.example.com 192.168.0.2:9696  check inter 1s
  server mac047d7b685a04.example.com 192.168.0.5:9696  check inter 1s
  server mac047d7b61754e.example.com 192.168.0.3:9696  check inter 1s

Comment 7 errata-xmlrpc 2014-08-21 18:06:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-1090.html


Note You need to log in before you can comment on or make changes to this bug.